TTYREC(1)

NAME
ttyrec - a tty recorder

SYNOPSIS
ttyrec [-a][-u] [file]

DESCRIPTION
Ttyrec is a tty recorder. It is a derivative of script(1) command for recording timing information with microsecond accuracy as well. It can record emacs -nw, vi, lynx, or any programs running on tty.

Ttyrec invokes a shell and records the session until the shell exits. Recorded data can be played back with ttyplay(1). If the argument file is given, the session will be recorded in that file. Otherwise, ttyrecord is used as default.

OPTIONS

-a  Append the output to file or ttyrecord, rather than overwriting it.

-u  With this option, ttyrec automatically calls uudecode(1) and saves its output when uuencoded data appear on the session. It allow you to transfer files from remote host. You can call ttyrec with this option, login to the remote host and invoke uuencode(1) on it for the file you want to transfer.

-e command
    Invoke command when ttyrec starts.

ENVIRONMENT

SHELL
    If the variable SHELL exists, the shell forked by ttyrec will be that shell. If it's not set, the Bourne shell is assumed. (Most shells set this variable automatically).

SEE ALSO
script(1), ttyplay(1), ttytime(1), uuencode(1), uudecode(1)